Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Fill_ACE_QoS Class Reference

This class helps users to add new flow specs and provides utility functions for filling up the flow specs for simplex/duplex sessions. More...

`#include <Fill_ACE_QoS.h>`

Collaboration diagram for Fill_ACE_QoS:

[legend]
List of all members.

## Public Types
typedef ACE_Hash_Map_Manager< ACE_CString, ACE_Flow_Spec *, ACE_Null_Mutex > | FLOW_SPEC_HASH_MAP
## Public Methods
| Fill_ACE_QoS (void)
| constructor. More...
| ~Fill_ACE_QoS (void)
| destructor. More...
int | fill_simplex_receiver_qos (ACE_QoS &ace_qos, ACE_Flow_Spec *recv_flow_spec)
| To be used by receivers. Fills the receiver qos and sets the sender qos to NO_TRAFFIC. More...
int | fill_simplex_sender_qos (ACE_QoS &ace_qos, ACE_Flow_Spec *recv_flow_spec)
| To be used by senders. Fills the sender qos and sets the receiver qos to NO_TRAFFIC. More...
int | fill_duplex_qos (ACE_QoS &ace_qos, ACE_Flow_Spec *recv_flow_spec, ACE_Flow_Spec *sender_flow_spec)
| To be used by applications that wish to be both receivers and senders. More...
FLOW_SPEC_HASH_MAP & | map (void)
| Returns the hash map of flowspecs indexed by flowspec name. More...
## Private Attributes
ACE_Flow_Spec * | default_traffic_
FLOW_SPEC_HASH_MAP | flow_spec_map_
## Static Private Attributes
const iovec | iov_ = {0,0}

## Detailed Description

This class helps users to add new flow specs and provides utility functions for filling up the flow specs for simplex/duplex sessions.

## Member Typedef Documentation

typedef ACE_Hash_Map_Manager<ACE_CString, ACE_Flow_Spec *, ACE_Null_Mutex> Fill_ACE_QoS::FLOW_SPEC_HASH_MAP

## Constructor & Destructor Documentation

Fill_ACE_QoS::Fill_ACE_QoS | ( | void |  | ) |

| constructor.

Fill_ACE_QoS::~Fill_ACE_QoS | ( | void |  | ) |

| destructor.

## Member Function Documentation

int Fill_ACE_QoS::fill_duplex_qos | ( | ACE_QoS & | ace_qos,
|  | ACE_Flow_Spec * | recv_flow_spec,
|  | ACE_Flow_Spec * | sender_flow_spec
| ) |

| To be used by applications that wish to be both receivers and senders.

int Fill_ACE_QoS::fill_simplex_receiver_qos | ( | ACE_QoS & | ace_qos,
|  | ACE_Flow_Spec * | ace_flow_spec
| ) |

| To be used by receivers. Fills the receiver qos and sets the sender qos to NO_TRAFFIC.

int Fill_ACE_QoS::fill_simplex_sender_qos | ( | ACE_QoS & | ace_qos,
|  | ACE_Flow_Spec * | sender_flow_spec
| ) |

| To be used by senders. Fills the sender qos and sets the receiver qos to NO_TRAFFIC.

Fill_ACE_QoS::FLOW_SPEC_HASH_MAP & Fill_ACE_QoS::map | ( | void |  | ) |

| Returns the hash map of flowspecs indexed by flowspec name.

## Member Data Documentation

ACE_Flow_Spec* Fill_ACE_QoS::default_traffic_`[private]`

FLOW_SPEC_HASH_MAP Fill_ACE_QoS::flow_spec_map_`[private]`

const iovec Fill_ACE_QoS::iov_ = {0,0}`[static, private]`

The documentation for this class was generated from the following files:

- Fill_ACE_QoS.h
- Fill_ACE_QoS.cpp